# NativeScript UI Gauge

- [Overview](#overview)
- [Installation](#installation)
- [Documentation](#documentation)
- [API Reference](#api-reference)
- [Sample Apps](#sample-apps)
- [Release Notes](#release-notes)
- [Get Help](#get-help)


## Overview

The **NativeScript UI Gauge** plugin allows you to display the current status of a value within a range of upper and lower bounds, illustrate progress towards a goal, or a summary of a fluctuating metric. Some features include:

* Add one or more RadialScale instances to your gauge;
* Use Bar indicators to visualize a range of values or a Needle indicator to point to a specific value;
* Include ready-to-use animations for smooth transition effects.

## Installation

In Command prompt / Terminal navigate to your application root folder and run:

```
tns plugin add nativescript-ui-gauge
```

## Documentation

To use the gauge plugin, you need to add an instance of `RadRadialGauge`. It has a `scales` collection, which allows you to add a number of instances of type `RadialScale`.
Each scale has an `indicators` collection that allows you to add different indicators. The indicator can be either of type `RadialBarIndicator` or `RadialNeedle`.
More information is available in the Guides for:
- [NativeScript Core](https://docs.nativescript.org/ui/professional-ui-components/Gauge/overview)
- [NativeScript with Angular](https://docs.nativescript.org/angular/ui/professional-ui-components/ng-Gauge/overview)
- [NativeScript with Vue.js](https://docs.nativescript.org/vuejs/ns-ui/Gauge/overview)

## API Reference

[Here](https://docs.nativescript.org/ns-ui-api-reference/classes/radgauge) is the API Reference section.

## Sample Apps

The features of the plugin are demonstrated in the Sample apps for:
- [NativeScript Core](https://github.com/NativeScript/nativescript-ui-samples)
- [NativeScript with Angular](https://github.com/NativeScript/nativescript-ui-samples-angular)
- [NativeScript with Vue.js](https://github.com/NativeScript/nativescript-ui-samples-vue)

## Release Notes

The release notes are available [here](https://github.com/NativeScript/nativescript-ui-feedback/blob/master/releases/gauge.md).

## Get Help

Please, use [github issues](https://github.com/NativeScript/nativescript-ui-feedback/issues) strictly for reporting bugs or requesting features.