(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@nativescript/angular'), require('@nativescript/core'), require('nativescript-ui-gauge')) :
    typeof define === 'function' && define.amd ? define('nativescript-ui-gauge-angular', ['exports', '@angular/core', '@nativescript/angular', '@nativescript/core', 'nativescript-ui-gauge'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global["nativescript-ui-gauge-angular"] = {}, global.ng.core, global["ns-angular"], global["ns-core"], global["ns-ui-gauge"]));
})(this, (function (exports, core, angular, core$1, nativescriptUiGauge) { 'use strict';

    var RadRadialGaugeComponent = /** @class */ (function () {
        function RadRadialGaugeComponent(_elementRef) {
            this._elementRef = _elementRef;
            this._radialGauge = _elementRef.nativeElement;
        }
        Object.defineProperty(RadRadialGaugeComponent.prototype, "nativeElement", {
            get: function () {
                return this._radialGauge;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(RadRadialGaugeComponent.prototype, "radialGauge", {
            get: function () {
                return this._radialGauge;
            },
            enumerable: false,
            configurable: true
        });
        return RadRadialGaugeComponent;
    }());
    RadRadialGaugeComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'RadRadialGauge',
                    template: ""
                },] }
    ];
    RadRadialGaugeComponent.ctorParameters = function () { return [
        { type: core.ElementRef, decorators: [{ type: core.Inject, args: [core.ElementRef,] }] }
    ]; };
    var TKRadialScaleDirective = /** @class */ (function () {
        function TKRadialScaleDirective(_elementRef) {
            this._elementRef = _elementRef;
            this._radialScale = this._elementRef.nativeElement;
        }
        Object.defineProperty(TKRadialScaleDirective.prototype, "radialScale", {
            get: function () {
                return this._radialScale;
            },
            enumerable: false,
            configurable: true
        });
        return TKRadialScaleDirective;
    }());
    TKRadialScaleDirective.decorators = [
        { type: core.Directive, args: [{
                    selector: 'RadialScale'
                },] }
    ];
    TKRadialScaleDirective.ctorParameters = function () { return [
        { type: core.ElementRef, decorators: [{ type: core.Inject, args: [core.ElementRef,] }] }
    ]; };
    var TKRadialBarIndicatorDirective = /** @class */ (function () {
        function TKRadialBarIndicatorDirective(_elementRef) {
            this._elementRef = _elementRef;
            this._barIndicator = this._elementRef.nativeElement;
        }
        Object.defineProperty(TKRadialBarIndicatorDirective.prototype, "radialScale", {
            get: function () {
                return this._barIndicator;
            },
            enumerable: false,
            configurable: true
        });
        return TKRadialBarIndicatorDirective;
    }());
    TKRadialBarIndicatorDirective.decorators = [
        { type: core.Directive, args: [{
                    selector: 'RadialBarIndicator'
                },] }
    ];
    TKRadialBarIndicatorDirective.ctorParameters = function () { return [
        { type: core.ElementRef, decorators: [{ type: core.Inject, args: [core.ElementRef,] }] }
    ]; };
    var TKRadialNeedleDirective = /** @class */ (function () {
        function TKRadialNeedleDirective(_elementRef) {
            this._elementRef = _elementRef;
            this._radialNeedle = this._elementRef.nativeElement;
        }
        Object.defineProperty(TKRadialNeedleDirective.prototype, "radialNeedle", {
            get: function () {
                return this._radialNeedle;
            },
            enumerable: false,
            configurable: true
        });
        return TKRadialNeedleDirective;
    }());
    TKRadialNeedleDirective.decorators = [
        { type: core.Directive, args: [{
                    selector: 'RadialNeedle'
                },] }
    ];
    TKRadialNeedleDirective.ctorParameters = function () { return [
        { type: core.ElementRef, decorators: [{ type: core.Inject, args: [core.ElementRef,] }] }
    ]; };
    var TKRadialGaugeScalesDirective = /** @class */ (function () {
        function TKRadialGaugeScalesDirective(owner, _elementRef) {
            this.owner = owner;
            this._elementRef = _elementRef;
        }
        TKRadialGaugeScalesDirective.prototype.ngOnInit = function () {
            var scale = this._elementRef.nativeElement;
            var gauge = this.owner.radialGauge;
            if (gauge.scales) {
                gauge.scales.push(scale);
            }
            else {
                gauge.scales = new core$1.ObservableArray([scale]);
            }
        };
        return TKRadialGaugeScalesDirective;
    }());
    TKRadialGaugeScalesDirective.decorators = [
        { type: core.Directive, args: [{
                    selector: '[tkRadialGaugeScales]'
                },] }
    ];
    TKRadialGaugeScalesDirective.ctorParameters = function () { return [
        { type: RadRadialGaugeComponent, decorators: [{ type: core.Inject, args: [RadRadialGaugeComponent,] }] },
        { type: core.ElementRef, decorators: [{ type: core.Inject, args: [core.ElementRef,] }] }
    ]; };
    var TKRadialScaleStyleDirective = /** @class */ (function () {
        function TKRadialScaleStyleDirective(owner, _elementRef) {
            this.owner = owner;
            this._elementRef = _elementRef;
        }
        TKRadialScaleStyleDirective.prototype.ngOnInit = function () {
            var radialScaleStyle = this._elementRef.nativeElement;
            this.owner.radialScale.scaleStyle = radialScaleStyle;
        };
        return TKRadialScaleStyleDirective;
    }());
    TKRadialScaleStyleDirective.decorators = [
        { type: core.Directive, args: [{
                    selector: '[tkRadialScaleStyle]'
                },] }
    ];
    TKRadialScaleStyleDirective.ctorParameters = function () { return [
        { type: TKRadialScaleDirective, decorators: [{ type: core.Inject, args: [TKRadialScaleDirective,] }] },
        { type: core.ElementRef, decorators: [{ type: core.Inject, args: [core.ElementRef,] }] }
    ]; };
    var TKRadialScaleIndicatorsDirective = /** @class */ (function () {
        function TKRadialScaleIndicatorsDirective(owner, _elementRef) {
            this.owner = owner;
            this._elementRef = _elementRef;
        }
        TKRadialScaleIndicatorsDirective.prototype.ngOnInit = function () {
            var barIndicator = this._elementRef.nativeElement;
            var scale = this.owner.radialScale;
            if (scale.indicators) {
                scale.indicators.push(barIndicator);
            }
            else {
                scale.indicators = new core$1.ObservableArray([barIndicator]);
            }
        };
        return TKRadialScaleIndicatorsDirective;
    }());
    TKRadialScaleIndicatorsDirective.decorators = [
        { type: core.Directive, args: [{
                    selector: '[tkRadialScaleIndicators]'
                },] }
    ];
    TKRadialScaleIndicatorsDirective.ctorParameters = function () { return [
        { type: TKRadialScaleDirective, decorators: [{ type: core.Inject, args: [TKRadialScaleDirective,] }] },
        { type: core.ElementRef, decorators: [{ type: core.Inject, args: [core.ElementRef,] }] }
    ]; };
    var TKRadialBarIndicatorStyleDirective = /** @class */ (function () {
        function TKRadialBarIndicatorStyleDirective(owner, _elementRef) {
            this.owner = owner;
            this._elementRef = _elementRef;
        }
        TKRadialBarIndicatorStyleDirective.prototype.ngOnInit = function () {
            var indicatorStyle = this._elementRef.nativeElement;
            this.owner.radialScale.indicatorStyle = indicatorStyle;
        };
        return TKRadialBarIndicatorStyleDirective;
    }());
    TKRadialBarIndicatorStyleDirective.decorators = [
        { type: core.Directive, args: [{
                    selector: '[tkRadialBarIndicatorStyle]'
                },] }
    ];
    TKRadialBarIndicatorStyleDirective.ctorParameters = function () { return [
        { type: TKRadialBarIndicatorDirective, decorators: [{ type: core.Inject, args: [TKRadialBarIndicatorDirective,] }] },
        { type: core.ElementRef, decorators: [{ type: core.Inject, args: [core.ElementRef,] }] }
    ]; };
    var TKRadialGaugeTitleStyleDirective = /** @class */ (function () {
        function TKRadialGaugeTitleStyleDirective(owner, _elementRef) {
            this.owner = owner;
            this._elementRef = _elementRef;
        }
        TKRadialGaugeTitleStyleDirective.prototype.ngOnInit = function () {
            var style = this._elementRef.nativeElement;
            this.owner.radialGauge.titleStyle = style;
        };
        return TKRadialGaugeTitleStyleDirective;
    }());
    TKRadialGaugeTitleStyleDirective.decorators = [
        { type: core.Directive, args: [{
                    selector: '[tkRadialGaugeTitleStyle]'
                },] }
    ];
    TKRadialGaugeTitleStyleDirective.ctorParameters = function () { return [
        { type: RadRadialGaugeComponent, decorators: [{ type: core.Inject, args: [RadRadialGaugeComponent,] }] },
        { type: core.ElementRef, decorators: [{ type: core.Inject, args: [core.ElementRef,] }] }
    ]; };
    var TKRadialGaugeSubtitleStyleDirective = /** @class */ (function () {
        function TKRadialGaugeSubtitleStyleDirective(owner, _elementRef) {
            this.owner = owner;
            this._elementRef = _elementRef;
        }
        TKRadialGaugeSubtitleStyleDirective.prototype.ngOnInit = function () {
            var style = this._elementRef.nativeElement;
            this.owner.radialGauge.subtitleStyle = style;
        };
        return TKRadialGaugeSubtitleStyleDirective;
    }());
    TKRadialGaugeSubtitleStyleDirective.decorators = [
        { type: core.Directive, args: [{
                    selector: '[tkRadialGaugeSubtitleStyle]'
                },] }
    ];
    TKRadialGaugeSubtitleStyleDirective.ctorParameters = function () { return [
        { type: RadRadialGaugeComponent, decorators: [{ type: core.Inject, args: [RadRadialGaugeComponent,] }] },
        { type: core.ElementRef, decorators: [{ type: core.Inject, args: [core.ElementRef,] }] }
    ]; };
    var TKRadialNeedleStyleDirective = /** @class */ (function () {
        function TKRadialNeedleStyleDirective(owner, _elementRef) {
            this.owner = owner;
            this._elementRef = _elementRef;
        }
        TKRadialNeedleStyleDirective.prototype.ngOnInit = function () {
            var style = this._elementRef.nativeElement;
            this.owner.radialNeedle.needleStyle = style;
        };
        return TKRadialNeedleStyleDirective;
    }());
    TKRadialNeedleStyleDirective.decorators = [
        { type: core.Directive, args: [{
                    selector: '[tkRadialNeedleStyle]'
                },] }
    ];
    TKRadialNeedleStyleDirective.ctorParameters = function () { return [
        { type: TKRadialNeedleDirective, decorators: [{ type: core.Inject, args: [TKRadialNeedleDirective,] }] },
        { type: core.ElementRef, decorators: [{ type: core.Inject, args: [core.ElementRef,] }] }
    ]; };
    var GAUGES_DIRECTIVES = [RadRadialGaugeComponent, TKRadialScaleDirective, TKRadialGaugeScalesDirective, TKRadialScaleStyleDirective, TKRadialScaleIndicatorsDirective, TKRadialBarIndicatorStyleDirective, TKRadialBarIndicatorDirective, TKRadialGaugeTitleStyleDirective, TKRadialNeedleStyleDirective, TKRadialNeedleDirective, TKRadialGaugeSubtitleStyleDirective];
    angular.registerElement('RadRadialGauge', function () { return nativescriptUiGauge.RadRadialGauge; });
    angular.registerElement('RadialScale', function () { return nativescriptUiGauge.RadialScale; });
    angular.registerElement('ScaleStyle', function () { return nativescriptUiGauge.ScaleStyle; });
    angular.registerElement('RadialBarIndicator', function () { return nativescriptUiGauge.RadialBarIndicator; });
    angular.registerElement('BarIndicatorStyle', function () { return nativescriptUiGauge.BarIndicatorStyle; });
    angular.registerElement('RadialNeedle', function () { return nativescriptUiGauge.RadialNeedle; });
    angular.registerElement('TitleStyle', function () { return nativescriptUiGauge.TitleStyle; });
    angular.registerElement('SubtitleStyle', function () { return nativescriptUiGauge.SubtitleStyle; });
    angular.registerElement('NeedleStyle', function () { return nativescriptUiGauge.NeedleStyle; });
    var NativeScriptUIGaugeModule = /** @class */ (function () {
        function NativeScriptUIGaugeModule() {
        }
        return NativeScriptUIGaugeModule;
    }());
    NativeScriptUIGaugeModule.decorators = [
        { type: core.NgModule, args: [{
                    declarations: [GAUGES_DIRECTIVES],
                    exports: [GAUGES_DIRECTIVES]
                },] }
    ];

    /**
     * Generated bundle index. Do not edit.
     */

    exports.GAUGES_DIRECTIVES = GAUGES_DIRECTIVES;
    exports.NativeScriptUIGaugeModule = NativeScriptUIGaugeModule;
    exports.RadRadialGaugeComponent = RadRadialGaugeComponent;
    exports.TKRadialBarIndicatorDirective = TKRadialBarIndicatorDirective;
    exports.TKRadialBarIndicatorStyleDirective = TKRadialBarIndicatorStyleDirective;
    exports.TKRadialGaugeScalesDirective = TKRadialGaugeScalesDirective;
    exports.TKRadialGaugeSubtitleStyleDirective = TKRadialGaugeSubtitleStyleDirective;
    exports.TKRadialGaugeTitleStyleDirective = TKRadialGaugeTitleStyleDirective;
    exports.TKRadialNeedleDirective = TKRadialNeedleDirective;
    exports.TKRadialNeedleStyleDirective = TKRadialNeedleStyleDirective;
    exports.TKRadialScaleDirective = TKRadialScaleDirective;
    exports.TKRadialScaleIndicatorsDirective = TKRadialScaleIndicatorsDirective;
    exports.TKRadialScaleStyleDirective = TKRadialScaleStyleDirective;

    Object.defineProperty(exports, '__esModule', { value: true });

}));
//# sourceMappingURL=nativescript-ui-gauge-angular.umd.js.map
